This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 426721 - [PATCH] powertop assumes hciconfig is in $PATH
[PATCH] powertop assumes hciconfig is in $PATH
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: powertop (Show other bugs)
rawhide
All Linux
low Severity low
: ---
: ---
Assigned To: Adam Jackson
Fedora Extras Quality Assurance
: Patch
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-24 20:02 EST by Ville Skyttä
Modified: 2008-02-11 15:53 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-11 15:53:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Invoke hciconfig with full path (430 bytes, patch)
2007-12-24 20:02 EST, Ville Skyttä
no flags Details | Diff

  None (edit)
Description Ville Skyttä 2007-12-24 20:02:18 EST
powertop assumes that hciconfig is in $PATH when it tries to turn off bluetooth.
 This is not the case eg. when powertop is being run from a default "sudo -s"
session.  Fix attached.
Comment 1 Ville Skyttä 2007-12-24 20:02:18 EST
Created attachment 290368 [details]
Invoke hciconfig with full path
Comment 2 Adam Jackson 2008-01-22 13:20:51 EST
Fixed in rawhide, thanks!

Note You need to log in before you can comment on or make changes to this bug.